# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "anvil-appimage"
version = "1.0.1"
authors = ["Jorge Guedes"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Automatically install AppImages with desktop integration"
readme = "README.md"
keywords = [
    "appimage",
    "linux",
    "installer",
    "cli",
    "desktop",
]
categories = [
    "command-line-utilities",
    "filesystem",
]
license = "MIT"
repository = "https://github.com/Jorge-Guedes/anvil"

[lib]
name = "anvil_appimage"
path = "src/lib.rs"

[[bin]]
name = "anvil"
path = "src/main.rs"

[[test]]
name = "test_appimage"
path = "tests/test_appimage.rs"

[[test]]
name = "test_desktop_entry"
path = "tests/test_desktop_entry.rs"

[[test]]
name = "test_directory"
path = "tests/test_directory.rs"

[[test]]
name = "test_icon"
path = "tests/test_icon.rs"

[[test]]
name = "test_permissions"
path = "tests/test_permissions.rs"

[[test]]
name = "test_utils"
path = "tests/test_utils.rs"

[dependencies.clap]
version = "4.5.60"
features = ["derive"]

[dependencies.colored]
version = "3.1.1"

[dependencies.dirs]
version = "6.0.0"

[dev-dependencies.tempfile]
version = "3.26.0"
